<script lang="ts">
  import Stack from "./Stack.svelte";
  import { groupAdjacent } from "../util";
  import { flip } from "svelte/animate";
  export let player: Player;

  let reverseSortedCards: Card[];
  $: {
    reverseSortedCards = [...player.cards];
    reverseSortedCards.reverse();
  }

  let stacks: Card[][];
  $: {
    stacks = groupAdjacent(reverseSortedCards, (a, b) => Math.abs(a - b) === 1);
    stacks.reverse();
  }
</script>

<div class="stacks">
  {#each stacks as cards (cards[0])}
    <div class="stack" animate:flip>
      <Stack {cards} />
    </div>
  {/each}
</div>

<style>
  .stacks {
    display: flex;
    flex-wrap: nowrap;
  }
  .stack {
    margin: 0.25em;
  }
</style>
